!+
! Module: tests_mod
!
! Authors:  Ian Stewart - SSC/LUX
!          
! Description: This task smoothes a column of a fits file.
! 
! Comments:
!	TODO:
!	- Use column units for vertical, row number??? for horizontal labels on plot?
!	- copy column units and comments to smoothed columns?
!
!****** should be i - j in doco (and equivalent in code)
!
! $Id: module.f90,v 1.6 1998/05/27 13:45:39 gvacanti Exp $
!- 
module tests_mod

  use dal
  use param  
  use errorHandling

  implicit none 

  private 

  public test_make_spec_0

contains 

  !---------------------------------------------------------------------
  subroutine test_make_spec_0
  !---------------------------------------------------------------------

    implicit none

    type(DataSetT) :: set
    type(TableT)   :: tab
    type(ColumnT)  :: rateCol, uncertsCol
    real(single), pointer :: rate(:), uncerts(:)
    integer(int32), parameter :: numChannels = 1000

    !-------------------------------------------------------------------
    ! Start

    set = dataSet('test_spec_0.ds', CREATE)
    tab = addTable(set, 'SPECTRUM', numChannels)
    rateCol = addColumn(tab, 'RATE', REAL32)
    rate => real32Data(rateCol)
    rate = 0.0
    rate(0) = 1.0
    rate(1) = 1.0
    rate(100) = 1.0
    rate(numChannels-1) = 2.0

    uncertsCol = addColumn(tab, 'STAT_ERR', REAL32)
    uncerts => real32Data(uncertsCol)
    uncerts = 0.0
    uncerts(0) = 1.0
    uncerts(1) = 1.0
    uncerts(100) = 1.0
    uncerts(numChannels-1) = sqrt(2.0)

    call release(set)

  end subroutine test_make_spec_0

  !---------------------------------------------------------------------
  subroutine template
  !---------------------------------------------------------------------

    implicit none

    !-------------------------------------------------------------------
    ! Start

  end subroutine template

end module tests_mod
